namespace Luski.Classes;

public class ExperimentSelectorInfo
{
    public event Func<bool,Task>? EventToggled;
    public string Name { get; set; } = default!;
    public string Description { get; set; } = default!;
    public bool RequiresRestart { get; set; } = false;

    internal void SendTog(bool b)
    {
        if (EventToggled is not null) EventToggled.Invoke(b);
    }
}